using System;

namespace Server.Items
{
	public class Pedestal : Item
	{
		[Constructable]
		public Pedestal() : base(0x1f2a)
		{
			Weight = 10;
		}

		public Pedestal(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}