using System; 
using Server; 

namespace Server.Items 
{ 

   	public class CocoonRare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 7; } }

      		[Constructable] 
      		public CocoonRare() 
      		{ 
          
         		ItemID=4314;
         		Weight= 10.0;
       
       
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public CocoonRare( Serial serial ) : base( serial ) 
     		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
     	 	{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}     
}