using System; 
using Server; 

namespace Server.Items 
{ 

   	public class GruesomeStandardRare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 5; } }

      		[Constructable] 
      		public GruesomeStandardRare() 
     		{ 
      	    
         		ItemID=1064;
         		Weight= 10.0;
       
       
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public GruesomeStandardRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}     
}