using System; 
using Server; 

namespace Server.Items 
{ 

   	public class RockRare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 1; } }

      		[Constructable] 
      		public RockRare() 
      		{ 
          
         		ItemID=4963;
        		Weight= 10.0;
       
       
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public RockRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
     	 	{ 
        	 	base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}     
} 