using System; 
using Server; 

namespace Server.Items 
{ 

   	public class SkullCandleRare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 1; } }

      		[Constructable] 
      		public SkullCandleRare() 
      		{ 
          
         		ItemID=6234;
	 		Light = LightType.Circle150;
         		Weight= 10.0;
       
       
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SkullCandleRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}     
} 