using System; 
using Server; 

namespace Server.Items 
{ 
   	public class BasketRare : BaseRareCont
   	{ 
		public override int DefaultGumpID{ get{ return 264; } }
		public override int DefaultDropSound{ get{ return 0x48; } }
       
      		public override int ArtifactRarity{ get{ return 1; } }

      		[Constructable] 
      		public BasketRare() 
      		{ 
         		ItemID = 9433;
         		Weight = 1.0;
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public BasketRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class BasketRare2 : BaseRareCont
   	{ 
		public override int DefaultGumpID{ get{ return 264; } }
		public override int DefaultDropSound{ get{ return 0x48; } }
       
      		public override int ArtifactRarity{ get{ return 1; } }

      		[Constructable] 
      		public BasketRare2() 
      		{ 
         		ItemID = 9434;
         		Weight = 1.0;
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public BasketRare2( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	} 

   	public class BasketRare3 : BaseRareCont
   	{ 
		public override int DefaultGumpID{ get{ return 264; } }
		public override int DefaultDropSound{ get{ return 0x48; } }
       
      		public override int ArtifactRarity{ get{ return 1; } }

      		[Constructable] 
      		public BasketRare3() 
      		{ 
         		ItemID = 9431;
         		Weight = 1.0;
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public BasketRare3( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}  

   	public class BasketRare4 : BaseRareCont
   	{ 
		public override int DefaultGumpID{ get{ return 264; } }
		public override int DefaultDropSound{ get{ return 0x48; } }
       
      		public override int ArtifactRarity{ get{ return 1; } }

      		[Constructable] 
      		public BasketRare4() 
      		{ 
         		ItemID = 9437;
         		Weight = 1.0;
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public BasketRare4( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	} 

   	public class BasketRare5 : BaseRareCont
   	{ 
		public override int DefaultGumpID{ get{ return 264; } }
		public override int DefaultDropSound{ get{ return 0x48; } }
       
      		public override int ArtifactRarity{ get{ return 2; } }

      		[Constructable] 
      		public BasketRare5() 
      		{ 
         		ItemID = 9429;
         		Weight = 1.0;
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public BasketRare5( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class BasketRare6 : BaseRareCont
   	{ 
		public override int DefaultGumpID{ get{ return 264; } }
		public override int DefaultDropSound{ get{ return 0x48; } }
       
      		public override int ArtifactRarity{ get{ return 2; } }

      		[Constructable] 
      		public BasketRare6() 
      		{ 
         		ItemID = 9432;
         		Weight = 1.0;
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public BasketRare6( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	} 

   	public class BasketRare7 : BaseRareCont
   	{ 
		public override int DefaultGumpID{ get{ return 264; } }
		public override int DefaultDropSound{ get{ return 0x48; } }
       
      		public override int ArtifactRarity{ get{ return 2; } }

      		[Constructable] 
      		public BasketRare7() 
      		{ 
         		ItemID = 9435;
         		Weight = 1.0;
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public BasketRare7( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class BasketRare8 : BaseRareCont
   	{ 
		public override int DefaultGumpID{ get{ return 264; } }
		public override int DefaultDropSound{ get{ return 0x48; } }
       
      		public override int ArtifactRarity{ get{ return 2; } }

      		[Constructable] 
      		public BasketRare8() 
      		{ 
         		ItemID = 9436;
         		Weight = 1.0;
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public BasketRare8( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}    
}