using System; 
using Server; 

namespace Server.Items 
{ 

   	public class FlowersRare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 7; } }

      		[Constructable] 
      		public FlowersRare() 
      		{ 
         		ItemID = 10314;
         		Weight = 10.0;
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public FlowersRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}
}