using System; 
using Server; 

namespace Server.Items 
{ 

   	public class UrnRare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 3; } }

      		[Constructable] 
      		public UrnRare() 
      		{ 
          
         		ItemID = 9245;
         		Weight = 10.0;
       
       
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public UrnRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}  

   	public class UrnRare2 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 3; } }

      		[Constructable] 
      		public UrnRare2() 
      		{ 
          
         		ItemID = 9246;
         		Weight = 10.0;
       
       
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public UrnRare2( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}    
}