using System; 
using Server; 


namespace Server.Items 
{ 

   	public class LampPostRare : BaseRare
   	{ 
       
      		public override int ArtifactRarity{ get{ return 3; } }

      		[Constructable] 
      		public LampPostRare() 
      		{ 
          
	 		Light=LightType.Circle300;
         		Weight= 10.0;
			ItemID=2848; //Remove this if you want id to switch at random. see below

				// This will random switch the id of lamp post spawn

				/*if( Utility.Random( 100 ) < 15 ) 
				switch ( Utility.Random( 2 )) 
				{ 
          
         				case 0:
				        ItemID=2850; 
					break;

         				case 1:
				        ItemID=2852;
					break;
 
				}
				else
				{
				        ItemID=2848;
				}*/

				if( Utility.Random( 100 ) < 45 ) 
				switch ( Utility.Random( 41 )) 
				{ 
          
         				case 0: // White
					Hue = 1150; 
					break;

         				case 1: // Ice Blue
					Hue = 1154;
					break;

         				case 2: //??Black
					Hue = 1175;
					break;

         				case 3: //?Green
					Hue = 1276;
					break;

         				case 4: //?DarkGreen
					Hue = 1268;
					break;

         				case 5: //?DarkBlue
					Hue = 505;
					break;
				}
				else
				{
					Hue = 0;
				}
       
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public LampPostRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}     
} 