using System; 
using Server; 

namespace Server.Items 
{ 

   	public class SaddleRare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 9; } }

      		[Constructable] 
     		public SaddleRare() 
      		{ 
          
         		ItemID=3896;
         		Weight= 1.0;
       
       
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SaddleRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}     
}