using System; 
using Server; 

namespace Server.Items 
{ 

   	public class StackedBooksRare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 3; } }

      		[Constructable] 
      		public StackedBooksRare() 
      		{ 
          
         		ItemID=7716;
         		Weight= 10.0;
       
       
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public StackedBooksRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}     

   	public class StackedBooks2Rare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 3; } }

      		[Constructable] 
      		public StackedBooks2Rare() 
      		{ 
          
         		ItemID=7717;
         		Weight= 10.0;
       
       
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public StackedBooks2Rare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}	     
} 