using System; 
using Server; 

namespace Server.Items 
{ 

   	public class StretchedHideRare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 2; } }

      		[Constructable] 
      		public StretchedHideRare() 
      		{ 
          
         		ItemID=4201;
         		Weight= 10.0;
       
       
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public StretchedHideRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
        	 	base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}     
} 