using System; 
using Server; 

namespace Server.Items 
{ 

   	public class StuddedTunicRare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 7; } }

      		[Constructable] 
      		public StuddedTunicRare() 
      		{ 
          
         		ItemID=5081;
         		Weight= 10.0;
       
       
      		}	 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public StuddedTunicRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}	     

   	public class StuddedTunic2Rare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 7; } }

      		[Constructable] 
      		public StuddedTunic2Rare() 
      		{ 
          
         		ItemID=5088;
         		Weight= 10.0;
       
       
      		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public StuddedTunic2Rare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}     
}