using System; 
using Server; 

namespace Server.Items 
{ 

   	public class BowlsRare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 3; } }

      		[Constructable] 
      		public BowlsRare() 
      		{ 
         		ItemID = 9439;
         		Weight = 10.0;
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public BowlsRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class BowlsRare2 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 4; } }

      		[Constructable] 
      		public BowlsRare2() 
      		{ 
         		ItemID = 9438;
         		Weight = 10.0;
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public BowlsRare2( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class BowlsRare3 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 4; } }

      		[Constructable] 
      		public BowlsRare3() 
      		{ 
         		ItemID = 9440;
         		Weight = 10.0;
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public BowlsRare3( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}
}