using System; 
using Server; 

namespace Server.Items 
{ 

   	public class FanRare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 3; } }

      		[Constructable] 
      		public FanRare() 
      		{ 
          
         		ItemID = 9225;
         		Weight = 10.0;
       
       
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public FanRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}   

   	public class FanRare2 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 3; } }

      		[Constructable] 
      		public FanRare2() 
      		{ 
          
         		ItemID = 9226;
         		Weight = 10.0;
       
       
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public FanRare2( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	} 

   	public class FanRare3 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 4; } }

      		[Constructable] 
      		public FanRare3() 
      		{ 
          
         		ItemID = 9227;
         		Weight = 10.0;
       
       
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public FanRare3( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class FanRare4 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 4; } }

      		[Constructable] 
      		public FanRare4() 
      		{ 
          
         		ItemID = 9228;
         		Weight = 10.0;
       
       
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public FanRare4( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}
}