using System; 
using Server; 

namespace Server.Items 
{ 

   	public class SculptureRare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 3; } }

      		[Constructable] 
      		public SculptureRare() 
      		{ 
          
         		ItemID = 9241;
         		Weight = 10.0;
       
       
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SculptureRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class SculptureRare2 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 3; } }

      		[Constructable] 
      		public SculptureRare2() 
      		{ 
          
         		ItemID = 9243;
         		Weight = 10.0;
       
       
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SculptureRare2( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class SculptureRare3 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 8; } }

      		[Constructable] 
      		public SculptureRare3() 
      		{ 
          
         		ItemID = 10310;
         		Weight = 10.0;
       
       
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SculptureRare3( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class SculptureRare4 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 8; } }

      		[Constructable] 
      		public SculptureRare4() 
      		{ 
          
         		ItemID = 10311;
         		Weight = 10.0;
       
       
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SculptureRare4( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class SculptureRare5 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 9; } }

      		[Constructable] 
      		public SculptureRare5() 
      		{ 
          
         		ItemID = 10312;
         		Weight = 10.0;
       
       
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SculptureRare5( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class SculptureRare6 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 9; } }

      		[Constructable] 
      		public SculptureRare6() 
      		{ 
          
         		ItemID = 10313;
         		Weight = 10.0;
       
       
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SculptureRare6( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}
}