using System; 
using Server; 

namespace Server.Items 
{ 

   	public class SwordDisplayRare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 5; } }

      		[Constructable] 
      		public SwordDisplayRare() 
      		{ 
         		ItemID = 10306;
         		Weight = 10.0;
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SwordDisplayRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class SwordDisplayRare2 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 5; } }

      		[Constructable] 
      		public SwordDisplayRare2() 
      		{ 
         		ItemID = 10307;
         		Weight = 10.0;
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SwordDisplayRare2( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class SwordDisplayRare3 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 8; } }

      		[Constructable] 
      		public SwordDisplayRare3() 
      		{ 
         		ItemID = 10325;
         		Weight = 10.0;
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SwordDisplayRare3( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class SwordDisplayRare4 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 8; } }

      		[Constructable] 
      		public SwordDisplayRare4() 
      		{ 
         		ItemID = 10326;
         		Weight = 10.0;
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SwordDisplayRare4( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class SwordDisplayRare5 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 8; } }

      		[Constructable] 
      		public SwordDisplayRare5() 
      		{ 
         		ItemID = 10323;
         		Weight = 10.0;
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SwordDisplayRare5( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class SwordDisplayRare6 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 9; } }

      		[Constructable] 
      		public SwordDisplayRare6() 
      		{ 
         		ItemID = 10324;
         		Weight = 10.0;
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SwordDisplayRare6( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class SwordDisplayRare7 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 9; } }

      		[Constructable] 
      		public SwordDisplayRare7() 
      		{ 
         		ItemID = 10321;
         		Weight = 10.0;
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SwordDisplayRare7( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}

   	public class SwordDisplayRare8 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 9; } }

      		[Constructable] 
      		public SwordDisplayRare8() 
      		{ 
         		ItemID = 10322;
         		Weight = 10.0;
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public SwordDisplayRare8( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}
}