using System; 
using Server; 

namespace Server.Items 
{ 

   	public class ZenRockGardenRare : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 2; } }

      		[Constructable] 
      		public ZenRockGardenRare() 
      		{ 
          
         		ItemID = 9443;
         		Weight = 10.0;
       
       
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public ZenRockGardenRare( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	} 

   	public class ZenRockGardenRare2 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 3; } }

      		[Constructable] 
      		public ZenRockGardenRare2() 
      		{ 
          
         		ItemID = 9444;
         		Weight = 10.0;
       
       
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public ZenRockGardenRare2( Serial serial ) : base( serial ) 
      		{ 
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	} 

   	public class ZenRockGardenRare3 : BaseRare 
   	{ 
       
      		public override int ArtifactRarity{ get{ return 3; } }

      		[Constructable] 
      		public ZenRockGardenRare3() 
      		{ 
          
         		ItemID = 9445;
         		Weight = 10.0;
       
       
     		} 

      		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

      		public ZenRockGardenRare3( Serial serial ) : base( serial ) 
      		{
      		} 

      		public override void Serialize( GenericWriter writer ) 
      		{ 
         		base.Serialize( writer ); 

         		writer.Write( (int) 0 ); 
      		} 
       
      		public override void Deserialize(GenericReader reader) 
      		{ 
         		base.Deserialize( reader ); 

         		int version = reader.ReadInt(); 
      		} 
   	}     
}